Page MenuHomeFreeBSD

Add netdump hooks for vtnet(4).
ClosedPublic

Authored by markj on May 1 2018, 5:24 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj created this revision.May 1 2018, 5:24 PM
markj added a reviewer: bryanv.May 1 2018, 6:00 PM
julian accepted this revision.May 2 2018, 6:24 AM
This revision is now accepted and ready to land.May 2 2018, 6:24 AM
bryanv added inline comments.May 3 2018, 4:39 AM
sys/dev/virtio/network/if_vtnet.c
4029 ↗(On Diff #42048)

vtnet_txq_notify can return non-zero but I don't think you consider that an error: if it was able to drain enough completed mbufs it returns non-zero so that the caller can continue transmitting. Since you're transmitting one mbuf here and are polling I think you can just ignore the return value.

markj marked an inline comment as done.May 4 2018, 7:39 PM
bryanv accepted this revision.May 4 2018, 7:42 PM
This revision was automatically updated to reflect the committed changes.